Skip to content
quarry Timeline
Login

Timeline

50 descendants and 50 ancestors of 4f9fd0f7ee927b4d

2026-10-19
18:55
web: keyed LineCount literals, which Go 1.27.2 vet asks for closed check-in: e4609a24ee user: zeitgeist tags: go-1.27.2
18:53
Go 1.27.2 check-in: 744037f947 user: zeitgeist tags: go-1.27.2
18:46
land datastar-spelling check-in: a5bf38ce3d user: dmestas tags: trunk
18:01
web: Datastar attributes spelled so they run; no bare data-on closed check-in: e7dbc7cfc0 user: zeitgeist tags: datastar-spelling
17:47
land deploy-installs-itself check-in: 6f097ddf44 user: dmestas tags: trunk
17:42
deploy: a deploy installs trunk's deploy.sh for the next one closed check-in: a889638af6 user: zeitgeist tags: deploy-installs-itself
17:35
update git-mirror-in from trunk check-in: 8bbea62b86 user: dmestas tags: git-mirror-in
16:56
land one-zit-on-the-host check-in: edb819abea user: dmestas tags: trunk
14:32
deploy: no link over a directory, no leftover on a failed link closed check-in: 679cb9f1ff user: zeitgeist tags: one-zit-on-the-host
14:30
deploy: the zit on the host's PATH is a link to the one the forge runs check-in: d86d0f6fea user: zeitgeist tags: one-zit-on-the-host
00:33
land team-race check-in: b4a4df54df user: dmestas tags: trunk
2026-10-18
22:16
Teams: owner count for managers only, a remove must name its team closed check-in: 5988e0df52 user: zeitgeist tags: team-race
22:09
Teams: remove checks the team where it deletes; the people page counts only who is shown check-in: 4ca30a5320 user: zeitgeist tags: team-race
22:00
land team-leftovers check-in: c17b669e5c user: dmestas tags: trunk
21:47
Teams: the people page shows no grant on a repository its reader cannot read closed check-in: b6ae540e67 user: zeitgeist tags: team-leftovers
21:32
Teams: private repositories off team pages and counts; a dissolved private team leaves no redirect check-in: f345145452 user: zeitgeist tags: team-leftovers
21:20
land private-teams check-in: 87f2f312da user: dmestas tags: trunk
20:44
Private teams: no redirect from a private team's path, offers do not name it closed check-in: d1a686da92 user: zeitgeist tags: private-teams
20:35
Private teams: no team name in addresses, team.repo.remove checks the team, wording check-in: 30bd61c10e user: zeitgeist tags: private-teams
20:07
Private teams: a team can be made private, and then exists only for its members, owners and site admins check-in: ef0f2872b0 user: zeitgeist tags: private-teams
19:38
land team-listed-opt-in check-in: bbf04180bf user: dmestas tags: trunk
19:09
Team members start unlisted and choose to be shown with team.listed and a button on the team page closed check-in: db9672b900 user: zeitgeist tags: team-listed-opt-in
18:54
update git-mirror-in from trunk check-in: 60c5e1c0ea user: dmestas tags: git-mirror-in
18:02
land og-card-fit-figures check-in: 0ad3de326e user: dmestas tags: trunk
17:33
Link preview card: version 4, so cards drawn before the figures fitted are replaced closed check-in: 8ab8105fb1 user: zeitgeist tags: og-card-fit-figures
17:33
Link preview card: the figures fit left of the lockup, a size smaller or one fewer, never under it check-in: 60a5209877 user: zeitgeist tags: og-card-fit-figures
17:29
land og-card-builtin-mark check-in: 195ee90088 user: dmestas tags: trunk
17:25
Link preview card draws a repository's built-in mark: quarry's repository wears quarry's logo, as on the page closed check-in: 9334a374e2 user: zeitgeist tags: og-card-builtin-mark
16:53
land md-table-short-code check-in: d48cea6c90 user: dmestas tags: trunk
16:47
Markdown tables: code in a short column keeps its words whole, so a phone no longer breaks paths one letter a line closed check-in: 23fd648045 user: zeitgeist tags: md-table-short-code
16:37
land og-card-brand check-in: 2e09886d11 user: dmestas tags: trunk
16:04
Link preview card carries the Zeitforge lockup; og:site_name is Zeitforge closed check-in: d4af35954a user: zeitgeist tags: og-card-brand
16:03
land og-card check-in: b4d112596b user: dmestas tags: trunk
15:57
Link previews: a repository page names its own 1200x630 card, drawn in Go from its name, description, figures and avatar closed check-in: 8ccc17944d user: zeitgeist tags: og-card
09:31
update git-mirror-in from trunk check-in: 0faac5f015 user: dmestas tags: git-mirror-in
09:31
land history-below-the-horizon-lives-on-quarry check-in: a41f73b023 user: dmestas tags: trunk
09:26
zitcli: MergeBase is a read closed check-in: e284205c82 user: dmestas tags: history-below-the-horizon-lives-on-quarry
09:25
RFC 0024: the zit child mints seeds; artifact-by-hash and merge-base read ops check-in: 669265c1b7 user: dmestas tags: history-below-the-horizon-lives-on-quarry
09:23
update git-mirror-in from trunk check-in: f653e700ab user: dmestas tags: git-mirror-in
09:18
RFC 0024 horizons: renumbered from 0022 after trunk took 0022 and 0023, decisions settled, index brought current check-in: 9f39a7dccb user: zeitgeist tags: history-below-the-horizon-lives-on-quarry
02:30
land zit-0.5.0 check-in: 812bdf820d user: dmestas tags: trunk
02:22
update zit-0.5.0 from trunk closed check-in: d9adf1899b user: dmestas tags: zit-0.5.0
02:22
land git-mirror-about check-in: 1d0c929687 user: dmestas tags: trunk
00:57
Git mirrors: interval still changeable, delete waits for a pull in flight, a following repository is not mirrored out check-in: 5eeb9d4420 user: zeitgeist tags: git-mirror-in
00:41
Git mirrors in: review fixes; fixed upstream, cleanup on purge, import deadline, one run per repo; and llms.txt says how to set up Git mirrors both ways check-in: b3b2534708 user: zeitgeist tags: git-mirror-in
00:14
Git mirrors in: a repository can follow a Git upstream with git fetch and zit import-git --into check-in: 889e7e9160 user: zeitgeist tags: git-mirror-in
2026-10-17
23:36
Pin zit 0.5.0: import-git --into for Git mirrors, and the 0.4.0 sync-server login fix check-in: 73dfca3288 user: zeitgeist tags: zit-0.5.0
23:34
About: Mirrored to <host path> while a Git mirror is on and current (RFC 0022 rung 3) closed check-in: 46dbded67e user: zeitgeist tags: git-mirror-about
21:28
land git-mirror-sweep check-in: 95060b2730 user: dmestas tags: trunk
20:43
Git mirror: sweep leftover key files at start; a push ended by a stop records nothing closed check-in: 9163db9cff user: zeitgeist tags: git-mirror-sweep
20:36
land git-mirror-push-fixes check-in: 4f9fd0f7ee user: dmestas tags: trunk
20:24
Git mirror push: review fixes; fail closed on private, kill the whole push on cancel, record nothing on a lost lease or stop, keys under the data dir swept at start, one export per key closed check-in: 5d2a13088e user: zeitgeist tags: git-mirror-push-fixes
20:07
land git-mirror-push check-in: e0f1d8a3c8 user: dmestas tags: trunk
20:03
Git mirror push: export and push trunk after each move, key on disk only for the push, backoff, pause when private or taken down (RFC 0022 rung 2) closed check-in: 902161217a user: zeitgeist tags: git-mirror-push
19:08
land git-mirror-setting check-in: cc34a35b51 user: dmestas tags: trunk
18:16
land git-mirror-setting check-in: 288962cc67 user: dmestas tags: trunk
18:16
Git mirror remote: refuse a leading-dash user, encoded or query characters, IP and one-word hosts closed check-in: e1f76a4d52 user: zeitgeist tags: git-mirror-setting
18:06
Mirror to Git setting: deploy key sealed, settings section, private and takedown refusals (RFC 0022 rung 1) check-in: 6e042968d1 user: zeitgeist tags: git-mirror-setting
00:16
land rfc23-rung1 check-in: 3f76972ced user: dmestas tags: trunk
00:09
land menu-flip check-in: 1e793e9f26 user: dmestas tags: trunk
00:07
RFC 0023 rung 1: disable and legal hold, 451 on every door closed check-in: 64a9cf6d68 user: zeitgeist tags: rfc23-rung1
2026-10-16
23:59
Fleet row menu flips rightward at phone width closed check-in: 4a95dbb2d0 user: zeitgeist tags: menu-flip
23:23
land rfc23-takedown check-in: 113500a5d9 user: dmestas tags: trunk
23:16
RFC 0023: takedown and legal hold closed check-in: bc632c2ebd user: zeitgeist tags: rfc23-takedown
23:11
land fleet-delete check-in: b24a4ea1e8 user: dmestas tags: trunk
23:05
Fleet rows stop serving and delete any store for a site admin closed check-in: f18b3d07b7 user: zeitgeist tags: fleet-delete
2026-10-15
21:03
land site-scope-fixes check-in: b51117ef35 user: dmestas tags: trunk
20:59
site token: hold the private line on the fleet pages, refuse worker tokens and the forge bucket, re-check streams closed check-in: e25fa23dca user: zeitgeist tags: site-scope-fixes
20:43
land site-scoped-tokens check-in: 1491237bba user: dmestas tags: trunk
20:38
Site scope: a flagged forge agent's token acts as site admin, never past a private repository it holds no grant on (RFC 0021) closed check-in: 7a9a8bf577 user: zeitgeist tags: site-scoped-tokens
17:12
land zit-cache-ceiling check-in: dd36b9ecb3 user: dmestas tags: trunk
09:59
merge trunk: keep both the zit-cache-mb and debug-addr flags closed check-in: 8c288280a9 user: zeitgeist tags: zit-cache-ceiling
09:57
land debug-pprof check-in: 6240eaa396 user: dmestas tags: trunk
08:26
release a dropped client's cache charges, set the ceiling before listening, count listing line overhead check-in: 3558190bef user: zeitgeist tags: zit-cache-ceiling
08:22
bound zit caches by bytes forge-wide: listings by bytes, blobs by capacity, one ceiling check-in: b360ffbf9d user: zeitgeist tags: zit-cache-ceiling
04:14
serve Go runtime profiles on a loopback --debug-addr closed check-in: 6191a3659a user: zeitgeist tags: debug-pprof
00:17
land rfc-0022-git-mirror check-in: e9e293227d user: dmestas tags: trunk
00:10
RFC 0022: mirror a public repository to a Git host from its settings closed check-in: 93b90dcaee user: zeitgeist tags: rfc-0022-git-mirror
2026-10-14
19:43
land agent-cutover check-in: 1ac543890a user: dmestas tags: trunk
19:25
Cutover review: drop agents' hand-issued push rows, refuse untokened agent sessions, one UPDATE in SetForgeAgent, scopes wording closed check-in: a426a8ee0c user: zeitgeist tags: agent-cutover
19:17
Cutover: retire every agent password, refuse it at every door, rewrite /start and llms.txt for agent accounts check-in: d9219b3582 user: zeitgeist tags: agent-cutover
17:43
land no-false-landed check-in: 396545a79f user: dmestas tags: trunk
17:38
land agent-pages check-in: 478bf78fee user: dmestas tags: trunk
17:37
A landing never reads as already landed against itself, nor in the moments after an update from its target closed check-in: df2f8cb9ae user: zeitgeist tags: no-false-landed
17:31
update agent-pages from trunk closed check-in: 135060ecc1 user: dmestas tags: agent-pages
14:57
land agent-audit-via check-in: 090b70e0d4 user: dmestas tags: trunk
14:56
Merge trunk into agent-pages; People names a forge agent's answerable admin with the forge badge check-in: 6a3a127a65 user: zeitgeist tags: agent-pages
14:53
update agent-audit-via from trunk closed check-in: 2a57ad299d user: dmestas tags: agent-audit-via
14:53
land forge-agents check-in: 6e4fb75761 user: dmestas tags: trunk
13:35
Forge agents: the agent guard refusals are Forbidden and answer forbidden at the API; a disabled site admin is shielded from lowering too; the RFC names the policy acts outside the edge closed check-in: 9113e04c34 user: zeitgeist tags: forge-agents
13:34
Agent pages: the one-time token page is no-store, a token-bound request manages nothing, failed reads are logged check-in: 362ecbdf97 user: zeitgeist tags: agent-pages
13:28
Merge trunk into agent-pages check-in: 478d39e3b9 user: zeitgeist tags: agent-pages
13:27
Forge agents test: a revoke is judged once the site admin holds something, and the store guard's refusal counts as refused check-in: fc161db2c3 user: zeitgeist tags: forge-agents
13:24
Forge agents: the store guard refuses a forge agent lowering a site admin or another forge agent on any grant door, and its s stops at a deed a site admin or forge agent holds check-in: ffd202d023 user: zeitgeist tags: forge-agents
13:05
Forge agents test: the rig grants no role, so the reader string is written directly before the raise and lower caps checks check-in: 1be63f3e22 user: zeitgeist tags: forge-agents
13:02
Forge agents: a forge agent may raise a site admin's repository letters (grant, caps that add) and never lower them; another forge agent stays refused check-in: 3a3135fa04 user: zeitgeist tags: forge-agents
12:59
Agent pages: Your agents on /me, an agent's page, agents among a repository's people check-in: d7bd012403 user: zeitgeist tags: agent-pages
12:59
Forge agents: a forge agent never alters a site admin or another forge agent on any account-level op; no self-answerable re-mark; the guard resolves the answerable admin as the badge does check-in: 142b2bb2e8 user: zeitgeist tags: forge-agents
12:36
RFC 0021 rung 5 follow-up: via is its own value, not a packed actor; carry via on uv, landing, stamp, protection check-in: a93e678592 user: zeitgeist tags: agent-audit-via
12:33
Merge trunk into forge-agents: keep the forge-agent badge hook beside the token-label wiring in main.go and web.go check-in: 42808d2307 user: zeitgeist tags: forge-agents
12:27
land agent-audit-limits check-in: ef1105daf1 user: dmestas tags: trunk